#include <iostream>
#include <string>
#include <map>
#include <random>
#include <vector>
#include <algorithm>
#include <ctime> 
#include <set>
#include <cassert>
#include <iomanip>
 
using namespace std;

int main(int argc, char* argv[]) 
{
    int n, p;
    
    cin >> n >> p;
    
    assert(1000 <= n && n <= 100000 && 0 <= p && p <= 100);
    
    double sum = 0;
    double t = 0;
    
    for (int i = 0; i < 10; ++i)
    {
        t += p * n / 10.0;
        sum += t;
    }
    
    cout << std::setprecision(10) << sum / 100.0;
  
    return 0;
}

// generate script
/*int main()
{
	std::random_device dev;
	std::mt19937 rng(dev());
    rng.seed(239);
	
	long maxSize = 1e5;
	std::uniform_int_distribution<std::mt19937::result_type> distN(1000, maxSize);
	std::uniform_int_distribution<std::mt19937::result_type> distP(0, 100);
	
	set<string> s;
	
	for (int test = 1; test <= 50; ++test)
    {
        int n = (test <= 3) ? (distN(rng) % 1000 + 1000) : distN(rng);
        int p = (test <= 3) ? 0 : (test > 47 ? 100 : distP(rng));
        
	    s.insert("generator " + to_string(n) + " " + to_string(p));
    }
    
    int test = 1;
	for (auto x : s) 
    {
       cout << x << "> " << test << endl;
       ++test;
    }   
 
	return 0;
}*/